// Get 920t clock
int Get920Clock();
// Set 920t clock
void Set920Clock(int Mhz);
// Disable 940t
void Disable940();
// Enable 940t
void Enable940();
// On/Off battery LED
void BatteryLED();
// On/Off screen
void ShutdownScreen();
// Get battery LED state
int BatteryLEDState();
// Get screen state
int ScreenState();
// Get battery charge
int GetBatteryCharge();

unsigned long   gp2x_dev;
unsigned short *gp2x_memregs;
int devbatt;

volatile unsigned short *MEM_REG;
unsigned MDIV, PDIV, SCALE;
unsigned short *arm940code;

#define SYS_CLK_FREQ 7372800

#define GPIOAPINLVL 0x1180
#define GPIOBPINLVL 0x1182
#define GPIOCPINLVL 0x1184
#define GPIODPINLVL 0x1186
#define GPIOEPINLVL 0x1188
#define GPIOFPINLVL 0x118A
#define GPIOGPINLVL 0x118C
#define GPIOHPINLVL 0x118E
#define GPIOIPINLVL 0x1190
#define GPIOJPINLVL 0x1192
#define GPIOKPINLVL 0x1194
#define GPIOLPINLVL 0x1196
#define GPIOMPINLVL 0x1198
#define GPIONPINLVL 0x119A
#define GPIOOPINLVL 0x119C

#define GPIOAOUT 0x1060
#define GPIOBOUT 0x1062
#define GPIOCOUT 0x1064
#define GPIODOUT 0x1066
#define GPIOEOUT 0x1068
#define GPIOFOUT 0x106A
#define GPIOGOUT 0x106C
#define GPIOHOUT 0x106E
#define GPIOIOUT 0x1060
#define GPIOJOUT 0x1062
#define GPIOKOUT 0x1064
#define GPIOLOUT 0x1066
#define GPIOMOUT 0x1068
#define GPIONOUT 0x106A
#define GPIOOOUT 0x106C

#define BATTERY_LO 678
#define BATTERY_HI 745
#define BATTERY_AC 900
